My Project: PtexIndices Class Reference

| My Project

Public Member Functions | List of all members
PtexIndices Class Reference

Object used to compute and query ptex face indices. More...

`#include <ptexIndices.h>`

## Public Member Functions
| PtexIndices (TopologyRefiner const &refiner)
| Constructor. More...
| ~PtexIndices ()
| Destructor. More...
int | GetNumFaces () const
| Returns the number of ptex faces in the mesh. More...
int | GetFaceId (Index f) const
| Returns the ptex face index given a coarse face 'f' or -1. More...
void | GetAdjacency (TopologyRefiner const &refiner, int face, int quadrant, int adjFaces[4], int adjEdges[4]) const
| Returns ptex face adjacency information for a given coarse face. More...

## Detailed Description

Object used to compute and query ptex face indices.

Given a refiner, constructing a PtexIndices object builds the mapping from coarse faces to ptex ids. Once built, the object can be used to query the mapping.

Definition at line 46 of file ptexIndices.h.

## Constructor & Destructor Documentation

## ◆ PtexIndices()

PtexIndices | ( | TopologyRefiner const & | refiner | ) |

Constructor.

## ◆ ~PtexIndices()

~PtexIndices | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ GetAdjacency()

void GetAdjacency | ( | TopologyRefiner const & | refiner,
|  | int | face,
|  | int | quadrant,
|  | int | adjFaces[4],
|  | int | adjEdges[4]
| ) |  | const

Returns ptex face adjacency information for a given coarse face.

Parameters

  refiner | refiner used to build this PtexIndices object.
  face | coarse face index
  quadrant | quadrant index if 'face' is not a quad (the local ptex sub-face index). Must be less than the number of face vertices.
  adjFaces | ptex face indices of adjacent faces
  adjEdges | ptex edge indices of adjacent faces

## ◆ GetFaceId()

int GetFaceId | ( | Index | f | ) | const

Returns the ptex face index given a coarse face 'f' or -1.

## ◆ GetNumFaces()

int GetNumFaces | ( |  | ) | const

Returns the number of ptex faces in the mesh.

Ptex

The documentation for this class was generated from the following file:

- opensubdiv/far/ptexIndices.h